Retrieve a wallet | Moov Documentation
Retrieve a wallet
Get information on a specific wallet (e.g., the available balance).
Read our Moov wallets guide to learn more.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.
API Endpoint
GET /accounts/{accountID}/wallets/{walletID}
Example Requests:
CURL
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Go
mc, _ := moov.NewClient()
var accountID string
var walletID string
mc.GetWallet(ctx, accountID, walletID)
TypeScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.wallets.get({
accountID: "d04dfd44-8194-422f-a666-08d30c183f9a",
walletID: "10a6bc37-8eeb-41c8-bf5f-77b40955542a",
});
console.log(result);
}
run();
PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\